%define _topdir /data/buildbot/slave/STABLE_Source/build/RPM
%define _rpmdir /data/buildbot/slave/STABLE_Source/build/RPM

# Require for libbfd (backtrace support)
BuildRequires: binutils-devel
BuildRoot: /data/buildbot/slave/STABLE_Source/build/RPM/BUILDROOT

Name: tarantool
Version: 1.5.3
Release: 74
Group: Applications/Databases
Summary: Tarantool - an efficient in-memory data store
Vendor: tarantool.org
License: BSD
Requires: libgcc >= 4.1.2-50 tarantool-debug = 1.5.3-74
URL: http://tarantool.org
Source0: tarantool-1.5.3-74-g9fcaec3-src.tar.gz
%description
Tarantool is a high performance in-memory NoSQL database. It supports
replication, online backup, stored procedures in Lua.

This package provides the server daemon and administration
scripts.

# Tarantool sql module

%package sql-module
Summary: Tarantool common sql interface
Vendor: tarantool.org
Group: Applications/Databases
Provides: tarantool-sql-module
Obsoletes: tarantool-sql-module
%description -n tarantool-sql-module
Tarantool is a high performance in-memory NoSQL database.
It supports replication, online backup, stored procedures in Lua.

This package provides a common sql interface to use with
tarantool-pg-module or by tarantool-mysql-module.

%package pg-module
Summary: Tarantool common sql interface
Vendor: tarantool.org
Group: Applications/Databases
Provides: tarantool-pg-module
Obsoletes: tarantool-pg-module
%description -n tarantool-pg-module
Tarantool is a high performance in-memory NoSQL database.
It supports replication, online backup, stored procedures in Lua.

This package provides a PostgreSQL interface to use with
tarantool-sql-module.

%package mysql-module
Summary: Tarantool common sql interface
Vendor: tarantool.org
Group: Applications/Databases
Provides: tarantool-mysql-module
Obsoletes: tarantool-mysql-module
%description -n tarantool-mysql-module
Tarantool is a high performance in-memory NoSQL database.
It supports replication, online backup, stored procedures in Lua.

This package provides a MySQL interface to use with
tarantool-sql-module.

# Tarantool sophia module

%package sophia-module
Summary: Tarantool sophia bindings
Vendor: tarantool.org
Group: Applications/Databases
Provides: tarantool-sophia-module
Obsoletes: tarantool-sophia-module
%description -n tarantool-sophia-module
Tarantool is a high performance in-memory NoSQL database.
It supports replication, online backup, stored procedures in Lua.

This package provides tarantool lua bindings to the
sophia database.

# Tarantool client spec

%package client
Summary: Tarantool command line client with history support
Vendor: tarantool.org
Group: Applications/Databases
Provides: tarantool-client
Obsoletes: tarantool-client
%description -n tarantool-client
Tarantool is a high performance in-memory NoSQL database.
It supports replication, online backup, stored procedures in Lua.

This package provides a command line client for Tarantool
with history support.

# Tarantool dev spec

%package dev
Summary: Tarantool C connector and header files
Vendor: tarantool.org
Group: Applications/Databases
#Requires: /sbin/ldconfig
#Requires: tarantool-debug = 1.5.3-74
Provides: tarantool-dev
Obsoletes: tarantool-dev
%description -n tarantool-dev
Tarantool is a high performance in-memory NoSQL database.
It supports replication, online backup, stored procedures in Lua.

This package provides Tarantool client libraries.

# Tarantool debug package

%if 0%{?fedora}
# Fedora includes debug package by default.
%else
%debug_package
%endif

###

%prep
%setup -n tarantool-1.5.3-74-g9fcaec3-src

%build
cmake . -DCMAKE_BUILD_TYPE=RelWithDebugInfo -DENABLE_CLIENT=ON -DENABLE_RPM=ON -DENABLE_BACKTRACE=ON -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SYSCONF_DIR=/etc -DCMAKE_MAN_DIR=/usr/share/man

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%post
groupadd tarantool > /dev/null 2>&1
useradd -r -g tarantool tarantool > /dev/null 2>&1
# Performe a single instance setup
/usr/bin/tarantool_deploy.sh --yes --quiet 1.1

%preun

%files
%defattr(-,root,root,-)

%dir "%{_datadir}/tarantool"
"%{_datadir}/tarantool/00000000000000000001.snap"

%dir "%{_datadir}/doc/tarantool"
"%{_datadir}/doc/tarantool/README.md"
"%{_datadir}/doc/tarantool/LICENSE"
"%{_datadir}/doc/tarantool/box-protocol.txt"
"%{_mandir}/man1/tarantool_box.1.gz"

"%{_bindir}/tarantool_box"
"%{_bindir}/tarantool_multi.sh"
"%{_bindir}/tarantool_deploy.sh"
"/etc/init.d/tarantool_box"

%dir "%{_sysconfdir}/tarantool"
%config(noreplace) "%{_sysconfdir}/tarantool/tarantool.cfg"

%files sql-module
%defattr(-,root,root,-)
%dir "/usr/lib/tarantool/1.5"
%dir "/usr/lib/tarantool/1.5/box"
%dir "/usr/lib/tarantool/1.5/box/net"
"/usr/lib/tarantool/1.5/box/net/sql.lua"

%files pg-module
%defattr(-,root,root,-)
%dir "/usr/lib/tarantool/1.5"
%dir "/usr/lib/tarantool/1.5/box"
"/usr/lib/tarantool/1.5/box/net/pg.so"

%files mysql-module
%defattr(-,root,root,-)
%dir "/usr/lib/tarantool/1.5"
%dir "/usr/lib/tarantool/1.5/box"
"/usr/lib/tarantool/1.5/box/net/mysql.so"

%files sophia-module
%defattr(-,root,root,-)
%dir "/usr/lib/tarantool/1.5"
%dir "/usr/lib/tarantool/1.5/box"
"/usr/lib/tarantool/1.5/box/sophia.so"

%files dev
%defattr(-,root,root,-)
%dir "/usr/include/tarantool"
"/usr/include/tarantool/tnt.h"
"/usr/include/tarantool/tnt_buf.h"
"/usr/include/tarantool/tnt_call.h"
"/usr/include/tarantool/tnt_delete.h"
"/usr/include/tarantool/tnt_dir.h"
"/usr/include/tarantool/tnt_enc.h"
"/usr/include/tarantool/tnt_insert.h"
"/usr/include/tarantool/tnt_io.h"
"/usr/include/tarantool/tnt_iob.h"
"/usr/include/tarantool/tnt_iter.h"
"/usr/include/tarantool/tnt_lex.h"
"/usr/include/tarantool/tnt_log.h"
"/usr/include/tarantool/tnt_mem.h"
"/usr/include/tarantool/tnt_net.h"
"/usr/include/tarantool/tnt_opt.h"
"/usr/include/tarantool/tnt_ping.h"
"/usr/include/tarantool/tnt_proto.h"
"/usr/include/tarantool/tnt_queue.h"
"/usr/include/tarantool/tnt_reply.h"
"/usr/include/tarantool/tnt_request.h"
"/usr/include/tarantool/tnt_rpl.h"
"/usr/include/tarantool/tnt_select.h"
"/usr/include/tarantool/tnt_snapshot.h"
"/usr/include/tarantool/tnt_sql.h"
"/usr/include/tarantool/tnt_stream.h"
"/usr/include/tarantool/tnt_tuple.h"
"/usr/include/tarantool/tnt_update.h"
"/usr/include/tarantool/tnt_utf8.h"
"/usr/include/tarantool/tnt_xlog.h"
"/usr/lib/libtarantool.a"
"/usr/lib/libtarantool.so"
"/usr/lib/libtarantool.so.1"
"/usr/lib/libtarantool.so.1.1"
"/usr/lib/libtarantoolnet.a"
"/usr/lib/libtarantoolnet.so"
"/usr/lib/libtarantoolnet.so.1"
"/usr/lib/libtarantoolnet.so.1.1"
"/usr/lib/libtarantoolrpl.a"
"/usr/lib/libtarantoolrpl.so"
"/usr/lib/libtarantoolrpl.so.1"
"/usr/lib/libtarantoolrpl.so.1.1"
"/usr/lib/libtarantoolsql.a"
"/usr/lib/libtarantoolsql.so"
"/usr/lib/libtarantoolsql.so.1"
"/usr/lib/libtarantoolsql.so.1.1"

%files client
%defattr(-,root,root,-)
"%{_mandir}/man1/tarantool.1.gz"
"%{_bindir}/tarantool"
"%{_bindir}/tarancheck"
"%{_bindir}/tarantar"

%changelog
* Mon May 20 2013 Dmitry Simonenko <support@tarantool.org> 1.0-1
- Initial version of the RPM spec
